// jshint esversion: 6

module.exports.build = (config, utils) => {

    // Extend with additional utils
    Object.assign(utils, {
        doMyCleverThing: x => Date.now(),
        multiplyLines: (msg, num) => {
            var arr = [];
            while (arr.length < num) arr.push(msg);
            return arr;
        }
    });

    // Import templates
    var t_boilerplate = require('./templates/_boilerplate.js').template;

    config.files.forEach(file => {
        utils.outputFile(file.name, "txt", t_boilerplate(file, config, utils));
    });

};
