# Plexiform

## Version history

| Date | Version | Author | Details |
| :---: | :--- | :--- | :--- |
| 2017-08-03 | v0.0.0 | Raith | Initiated |
| 2017-08-04 | v0.0.1 | Raith | Named and stabilised |
| 2017-08-24 | v0.1.1 | Raith | Updates |
| 2017-08-28 | v1.0.0 | Raith | Published to npm |
| 2017-08-28 | v1.1.0 | Raith | Fixed paths so can run as 'plexiform' bin in shell |
| 2017-08-28 | v1.1.1 | Raith | Removed a couple of non-boilerplate configs |
| 2017-09-03 | v1.2.0 | Raith | Can now --init and build from a config file |
| 2017-09-03 | v1.2.1 | Raith | Bug fix |
| 2017-09-03 | v1.3.0 | Raith | Utilises process-argv and changed to explicit command line arguments rather than positional parameters |
| 2017-09-03 | v1.3.1 | Raith | No more assumption about file extensions. Now need to specify them for build and config |
| 2017-09-08 | v1.3.2 | Raith | Refactor base config and utils into own files |
| 2017-09-11 | v1.3.3 | Raith | Refactor and fix TS nullable types |
| 2017-09-13 | v1.3.4 | Raith | Tidy option in OutputFile |
| 2017-09-15 | v1.3.5 | Raith | Added support for MarkDown config :) |
| 2017-09-17 | v1.4.0 | Raith | Added support for build config processor |
| 2017-09-18 | v1.4.1 | Raith | better suggestion in plexiformconfig, using relative path, and defaulting to plexiform-build-api |
| 2017-09-20 | v1.4.2 | Raith | added cwd/node_modules to modules.path so simplify loading of local build package from global plexiform |
| 2017-09-22 | v1.5.0 | Raith | added --save switch to save the processed config file |
| 2017-09-25 | v2.0.0 | Raith | **Breaking change** To avoid ambiguity, config now only refers to how the *build* is configured and your *app* 'config' is now known as the 'spec' |
| 2017-09-25 | v2.0.1 | Raith | Refactored readme and renamed 'configs' folder |
| 2017-11-10 | v2.1.0 | Raith | Added new datatype 'datauri' which is implemented as a string, but flags its intended purpose for the sake of downstream tools |
| 2017-12-05 | v2.1.1 | Raith | Added new datatype 'huid' which is implemented as a long in CS and a string in TS. JsonConverter translates between them |
| 2017-12-28 | v2.2.0 | Raith | New plexiform gallery feature |
| 2017-12-28 | v2.2.1 | Raith | Updated readme |
| 2017-12-29 | v3.0.0 | Raith | **Breaking change** Removed single letter arguments, and incorporated process-md which impacts build scripts and installations |
| 2017-12-31 | v3.1.0 | Raith | Removal of processor parameter now that this has become more formalised. Will use exported process method of the build module instead |
| 2018-01-01 | v3.1.1 | Raith | Fix reference to defunct variable (should be using TypeScript) |
| 2018-01-08 | v3.2.0 | Raith | Added --gallery switch for changing the gallery URI |
| 2018-01-09 | v3.3.0 | Raith | Multi-build support. Specify --build * to process with ALL modules named "plexiform-build-*" |
| 2018-01-10 | v3.3.1 | Raith | spec_name now higher priority than build_name which defaults to "*" |
| 2018-01-10 | v3.3.2 | Raith | Default output folder is now cwd and path is formed more neatly |
| 2018-01-11 | v3.3.3 | Raith | --build * now scans symbolic links (previously only found actual directories) |
| 2018-01-17 | v3.4.0 | Raith | Now supports an array of builds in plexiformconfig.json |
| 2018-03-28 | v3.4.1 | Raith | Dummy publish from Mac to see if it does so with LF endings, as getting node\r error on Linux |
| 2018-04-26 | v3.5.0 | Raith | Added support for new gallery commands rename and describe |
| 2020-11-21 | v3.5.1 | Raith | Changed gallery url |

---
